投稿日:2005年05月28日 作成鷹の巣

No.19044 PHPとMySQLの連携について



PHPとMySQLの連携について

No.19044 投稿時間:2005年05月28日(Sat) 10:36 投稿者名:Wrap URL:

Apacheを1.3.33から2.0.54に変更したのですが、MySQLに接続出来なくなってしまいました。
php.iniの設定は、元通りに変更しています。
OSはDebian(sarge)です。
よろしくお願いいたします。


Apacheー1.3.33を変更しただけでは モデュールとしてphpは動かないと思います。

No.19046 投稿時間:2005年05月28日(Sat) 10:46 投稿者名:stranger URL:

> Apacheを1.3.33から2.0.54に変更したのですが、MySQLに接続出来なくなってしまいました。
> php.iniの設定は、元通りに変更しています。
> OSはDebian(sarge)です。
> よろしくお願いいたします。
phpをApache-2.0.54にどの様にモデュールとして組み込んでいますか
Apacheー1.3.33を変更しただけでは モデュールとしてphpは動かないと思います


PHPは正常に動作しているのですが、MySQLが駄目なのです。

No.19047 投稿時間:2005年05月28日(Sat) 11:46 投稿者名:Wrap URL:

> phpをApache-2.0.54にどの様にモデュールとして組み込んでいますか
> Apacheー1.3.33を変更しただけでは モデュールとしてphpは動かないと思います

一度PHPとPHP関連のパッケージを全て削除し、Apache2をインストールした後
改めてインストールしました。
PHPは正常に動作しているのですが、MySQLが駄目なのです。
ちなみに、php.iniを/etc/php4/apache/php.iniから/etc/php4/apache2/php.ini
にコピーしてみたりもしましたが、やはり駄目な状況です。

phpinfoにはMySQLの項目はありません。

よろしくお願い致します。


php4-mysql を使いましたか。

No.19048 投稿時間:2005年05月28日(Sat) 12:40 投稿者名:Reboot URL:

> 一度PHPとPHP関連のパッケージを全て削除し、Apache2をインストールした後
> 改めてインストールしました。

package は php4-mysql を使用しましたですか。

> PHPは正常に動作しているのですが、MySQLが駄目なのです。
> ちなみに、php.iniを/etc/php4/apache/php.iniから/etc/php4/apache2/php.ini
> にコピーしてみたりもしましたが、やはり駄目な状況です。
>
> phpinfoにはMySQLの項目はありません。
>
> よろしくお願い致します。


一度php4-mysqlをremoveして、新たにインストールしたら正常に動作しました。

No.19050 投稿時間:2005年05月28日(Sat) 13:08 投稿者名:Wrap URL:

> package は php4-mysql を使用しましたですか。

一度php4-mysqlをremoveして、新たにインストールしたら正常に動作しました。

ありがとうございました。


目次掲示板過去ログ目次▲頁先頭